* {
  font-family: "Cairo", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body::-webkit-scrollbar {
  width: 6px;
}
body::-webkit-scrollbar-track {
  background: white;
}
body::-webkit-scrollbar-thumb {
  background-color: #1078ad;
  border-radius: 8px;
}

#bgnav {
  background-image: url(../Images/navbar.svg);
}

li {
  border-bottom: 1px solid rgba(255, 255, 255, 0.5);  /* lines in navbar Accueil and conseils */ 
}

.line2 {
  border-bottom: 1px solid rgba(16, 121, 173, 0.5) !important;
}

.yellow-clr {
  background-color: #f4cf1b;
}

.main-clr {
  color: #1078ad;
}

#parent {
  width: 100%;
  height: 900px;
  max-height: 1100px;
}

#child1,
#child2,
#child2 img {
  width: 100%;
  height: 100%;
}

.green-clr{
  color: #7f7f7f;
}

#child1 button {
  width: 100%;
  font-size: 22px;
  font-weight: 700;
  background: url(../Images/navbar.svg);
  border: 2px solid #1078ad;
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 10px;
  text-align: center;
  color: #1078ad;
}

.bu {
  width: 300px;
  height: 53px;
  background-image: url(../Images/navbar.svg);
  border: 2px solid #1078ad;
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 10px;
  color: #1078ad;
}

.bu:hover,
#child1 button:hover {
  background-color: #1078ad;
  color: white;
}

.contImg img {
  height: 150px;
}

.contImg h1 {
  text-align: center;
  font-size: bold 70px;
  letter-spacing: 0;
  color: #1078ad;
}

.contImg h5 {
  font-size: 24px;
  font-weight: 700;
  text-align: center;
  color: #1078ad;
  margin-bottom: 30px;
}

#box-foot {
  margin-top: 1.25em;
  margin-bottom: 1.25em;
  display: flex;
  justify-content: center;
}

#footer-logo {
  width: 70px;
  height: auto;
}

.vert-number {
  color: #369d53;
}

.two {
  color: #2b2b2c;
  font-size: 20px;
  font-weight: 500;
  text-decoration: none;
}

#bottom-line {
  width: 100%;
  height: 20px;
  background-color: #1078ad;
}

.Recommandation {
  background-color: #1078ad;
}

.info{
  background-color: #D0E5F0;
}

.applez {
  list-style: none;
  color: #1078ad;
  background-color: #f4cf1b;
  width: 200px;
  border-radius: 5px;
}

.aplz {
  color: #f4cf1b;
  width: 200px;
}

.aprecommand {
  background-color: #96c5dc;
}
.image {
  width: 60px;
  margin-bottom: 30px;
}

.spann {
  color: #f4cf1b;
  margin-right: 7px;
}
.all {
  flex-direction: column;
  align-items: center;
}

@media screen and (min-width: 576px) {
  li {
    border-bottom: none;
  }
  #child2 img {
    height: 90%;
  }
}
@media screen and (min-width: 768px) {
  .all {
    flex-direction: row;
  }
  .bu {
    width: 500px;
  }
  #child1,
  #child2 {
    width: 50%;
  }
  #parent {
    height: 550px;
  }
}

.Préambule {
  width: 70%;
  text-align: center;
  margin: 20px auto;
  background-color: #e9ecef;
  padding: 50px 33px;
  border-radius: 5px;
}
.Préambule h1 {
  font-size: 28px;
  font-weight: bolder;
  color: #1078ad;
}
.Préambule hr {
  width: 50%;
  margin: auto;
  border: 1px solid #f4cf1b;
}
.Préambule p {
  font-size: 17px;
  width: 80%;
  margin: 30px auto;
}

.start-btn {
  font-size: 22px;
  font-weight: bolder;
  color: white;
  background-color: #1078ad;
  padding: 10px 30px 10px;
  border: 3px solid #1078ad;
  border-radius: 6px;
  cursor: pointer;
  transition: all 0.3s ease;
  margin: 10px auto 50px;
  margin-left: 50%;
  transform: translateX(-50%);
}
.start-btn:hover {
  color: #1078ad;
  background-color: transparent;
}

.stepper {
  padding: 55px 15% 10px;
  display: flex;
  justify-content: space-evenly;
}

.stepper h1 {
  font-size: 20px;
  color: #1078ad;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}       
.stepper h1::before {
  content: "";
  height: 22px;
  width: 22px;
  background-color: #1078ad;
  border-radius: 50%;
  position: absolute;        
  top: -25px;
}
.stepper h1::after {
  content: "";
  height: 22px;
  width: 22px;
  background-color: #88b7d3;
  border-radius: 50%;
  position: absolute;
  top: -25px;
  z-index: -12;
  transition: all 0.3s ease;
}
.stepper .select::before {
  content: "";
  height: 22px;
  width: 22px;
  background-color: #f4cf1b;
  border-radius: 50%;
  position: absolute;
  top: -30px;
  z-index: 100;
}
.stepper .select::after {
  content: "";
  height: 48px;
  width: 48px;
  background-color: #88b7d3;
  border-radius: 50%;
  position: absolute;
  top: -43px;
  z-index: 50;
}

.questionnaire {
  width: 70%;
  border: 1px solid #bebebe;
  margin: 20px auto;
  border-radius: 4px;
  display: none;
  margin-bottom: 50px;
  overflow: hidden;
}

.questionnaire h1 {
  text-align: center;
  font-size: 31px;
  color: #787878;
  font-weight: bolder;
  width: 82%;
  margin: 70px auto;
}
.questionnaire .progress {
  border-bottom: 1px solid #bebebe;
  align-items: center;
  padding: 7px 0;
  background-color: #f7f7f7;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  height: 30px;
}
.questionnaire .progress h3 {
  font-weight: bolder;
  margin-right: 6px;
  margin-left: 11px;
  margin-top: 7px;
  font-size: 15px;
  width: 50px;
}
.questionnaire .progress__bar {
  width: 90%;
  height: 10px;
  border-radius: 20px;
  background-color: #e6f1f7;
  overflow: hidden;
}
.questionnaire .progress__bar .bar {
  height: 100%;
  width: calc(1 * calc(100% / 22)); 
  background-color: #1078ad;
  border-bottom-left-radius: 20px;
  border-top-left-radius: 20px;
  transition: all 0.4s ease;
}

.answer-inputs {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50%;
}
.answer-inputs input[type="number"] {
  font-size: 16px;
  border: 1px solid #1078ad;
  width: 55%;
  padding: 10px;
}
.answer-inputs .input-span {
  font-size: 16px;
  border: 1px solid #1078ad;
  border-left: none;
  padding: 4px 10px 5px;
  color: #555555;
  background-color: #edf6fa;
}
.answer-inputs input[type="radio"] {
  -webkit-appearance: none;
}
.answer-inputs input[type="radio"]:checked + label {
  background-color: #1078ad;
  color: #f4cf1b;
}
.answer-inputs label {
  height: 80px;
  width: 120px;
  color: #1078ad;
  border-radius: 4px;
  border: 4px solid #1078ad;
  font-size: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 9px 0px 0;
  transition: 0.5s ease;
  margin-right: 50px;
}
.answer-inputs label span {
  font-size: 22px;
  position: relative;
  bottom: 5px;
}

.btn-container {
  margin: 110px 0 40px;
  padding: 0 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
.btn-container button {
  font-size: 17px;
  background-color: #cfe4ef;
  padding: 10px 20px;
  color: #1078ad;
  border: 2px solid #1078ad;
  border-radius: 4px;
  transition: 0.3s ease;
}
.btn-container button:hover {
  background-color: #1078ad;
  color: white;
}
.btn-container button:disabled {
  cursor: not-allowed;
  opacity: 0.65;
}
.btn-container button:disabled:hover {
  background-color: #cfe4ef !important;
  color: #1078ad !important;
}

.hide {
  opacity: 0;
  pointer-events: none;
}

@keyframes next {
  0% {
    opacity: 0;
    transform: translateX(90%);
  }
  15% {
    opacity: 1;
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes previous {
  0% {
    opacity: 0;
    transform: translateX(-90%);
  }
  15% {
    opacity: 1;
  }
  100% {
    transform: translateX(0);
  }
}